%define	name	tar
%define version 1.18
%define subrel 1
%define release %mkrel 1

Summary:	A GNU file archiving program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Backup
URL:		http://www.gnu.org/software/tar/tar.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		ftp://alpha.gnu.org/gnu/tar/%{name}-%{version}.tar.bz2
Source1:	ftp://alpha.gnu.org/gnu/tar/%{name}-%{version}.tar.bz2.sig
Source2:	%{name}-help2man.bz2
Patch11:	tar-1.14-doubleslash.patch
Patch13:	tar-1.15.91-lzma.patch
Patch14:	tar-1.15.91-CVE-2007-4476.patch
Requires(post):		info-install
Requires(preun):	info-install
Conflicts:	rmt < 0.4b36

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.

%prep
%setup -q
%patch11 -p1 -b .doubleslash
%patch13 -p1 -b .lzma
%patch14 -p1 -b .cve-2007-4476

bzcat %{SOURCE2} > ./help2man
chmod +x ./help2man

gzip ChangeLog

%build
%configure2_5x \
	--enable-backup-scripts \
	--bindir=/bin \
	DEFAULT_RMT_COMMAND="/sbin/rmt"

%make

# thanks to diffutils Makefile rule
(echo '[NAME]' && sed 's@/\* *@@; s/-/\\-/; q' src/tar.c) | (./help2man -i - -S '%{name} %{version}' src/tar ) | sed 's/^\.B info .*/.B info %{name}/' > %{name}.1

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

ln -sf tar ${RPM_BUILD_ROOT}/bin/gtar

install -D -m 644 tar.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/tar.1

# conflicts with coda-debug-backup
mv ${RPM_BUILD_ROOT}%{_sbindir}/backup ${RPM_BUILD_ROOT}%{_sbindir}/tar-backup
mv ${RPM_BUILD_ROOT}%{_sbindir}/restore ${RPM_BUILD_ROOT}%{_sbindir}/tar-restore

# rmt is provided by rmt ...
%define rmtrealname rmt-tar
mkdir -p ${RPM_BUILD_ROOT}/sbin
mv ${RPM_BUILD_ROOT}%{_libexecdir}/rmt ${RPM_BUILD_ROOT}/sbin/%rmtrealname

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog.gz COPYING NEWS README THANKS TODO
/bin/*
%{_libexecdir}/backup.sh
%{_libexecdir}/dump-remind
%{_sbindir}/*
/sbin/%rmtrealname
%{_infodir}/*.info*
%{_mandir}/man?/*




%changelog
* Thu Oct 11 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.18-1.1mdv2008.0
- P14: security fix for CVE-2007-4476

* Sat Jun 30 2007 Funda Wang <fundawang@mandriva.org> 1.18-1mdv2008.0
+ Revision: 46067
- New version


* Mon Feb 12 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.16-3mdv2007.1
+ Revision: 118886
- update to use 'lzma' over deprecated 'lzmash' wrapper script

* Wed Nov 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.16-2mdv2007.1
+ Revision: 88709
- bump release
- patch 14: security fix for MDKSA-2006:219 (#27379)

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.16-1mdv2007.1
+ Revision: 86832
- Import tar

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.16-1mdv2007.1
- new release

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.15.91-1mdv2007.0
- 1.15.91
- fix make-check-outside-check-section
- regenerate P13
- update url

* Sat May 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.15.90-2mdk
- patch 13: fix segfault (#22434)

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.15.90-1mdk
- new release
- kill patches 1, 7, 12 (uneeded)
- rediff patch 13

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.15.1-8mdk
- patch 14: security fix for CVE-2006-0300
- use %%mkrel

* Sun Jan 08 2006 Giuseppe Ghibò <ghibo@mandriva.cm> 1.15.1-7mdk
- Added supporto for lzmash compression (tar -Y).

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.15.1-6mdk
- Rebuild

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 1.15.1-5mdk
- get rid of ChangeLog.1 (ie prior to 1997)
- compress ChangeLog

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15.1-4mdk
- Remove alternative install for rmt, use /sbin/rmt from dump

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15.1-3mdk
- Fix postun alternative install for rmt
- Fix compilation with gcc 4 (patch 12)

* Tue Feb 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.15.1-2mdk
- fix packages ordering at install time (#13792)

* Wed Dec 22 2004 Abel Cheung <deaddog@mandrakesoft.com> 1.15.1-1mdk
- New release 1.15.1

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-1mdk
- 1.15
- regenerate P7

* Tue May 25 2004 Abel Cheung <deaddog@deaddog.org> 1.14-1mdk
- New version
- Drop P105 (-y/-I), since -j/--bzip2 is stabilized and well known now
- Drop P0, use help2man to generate manpage instead of bundling 4-yr-old one
- Drop P8, P10 (upstream)
- Rediff P1, P7, P11
- Install scripts as well
- Use alternative for rmt

